package cn.com.poc.ai_software_copyright.service;

import java.util.List;

import cn.com.poc.ai_software_copyright.entity.BizSoftwareCopyrightEntity;
import cn.com.poc.ai_software_copyright.query.SoftwareCopyrightQueryCondition;
import cn.com.poc.ai_software_copyright.query.SoftwareCopyrightQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

public interface BizSoftwareCopyrightService extends BaseService {

    BizSoftwareCopyrightEntity get(java.lang.Long id);

    List<BizSoftwareCopyrightEntity> findByExample(BizSoftwareCopyrightEntity example, PagingInfo pagingInfo);

    BizSoftwareCopyrightEntity save(BizSoftwareCopyrightEntity entity);

    BizSoftwareCopyrightEntity update(BizSoftwareCopyrightEntity entity);

    void deletedById(java.lang.Long id) throws Exception;

    List<SoftwareCopyrightQueryItem> softwareCopyrightQuery(SoftwareCopyrightQueryCondition condition,
                                                            PagingInfo pagingInfo);

}